aboutsummaryrefslogtreecommitdiffstats
path: root/community/opam
diff options
context:
space:
mode:
authorAnil Madhavapeddy <anil@recoil.org>2016-12-01 18:23:41 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2016-12-02 21:20:45 +0000
commit586d44727b9570a18234e2f812826dba2dd7fcba (patch)
tree20e28af894a115d92662136678ca9cb083fe2fa3 /community/opam
parenta854576a021603f62dc02bd21baf7af38dae75bb (diff)
downloadaports-586d44727b9570a18234e2f812826dba2dd7fcba.tar.gz
aports-586d44727b9570a18234e2f812826dba2dd7fcba.tar.bz2
aports-586d44727b9570a18234e2f812826dba2dd7fcba.tar.xz
community/opam: move from testing to community
Diffstat (limited to 'community/opam')
-rw-r--r--community/opam/APKBUILD38
1 files changed, 38 insertions, 0 deletions
diff --git a/community/opam/APKBUILD b/community/opam/APKBUILD
new file mode 100644
index 0000000000..73293c7aeb
--- /dev/null
+++ b/community/opam/APKBUILD
@@ -0,0 +1,38 @@
+# Contributor: Michael Zuo <muh.muhten@gmail.com>
+# Maintainer: Anil Madhavapeddy <anil@recoil.org>
+pkgname=opam
+pkgver=1.2.2
+pkgrel=0
+pkgdesc="OCaml Package Manager"
+url="https://opam.ocaml.org"
+arch="all !x86"
+license="LGPL3"
+depends="ocaml camlp4 curl tar unzip rsync aspcud"
+makedepends="$depends_dev"
+install=""
+subpackages=""
+source="https://github.com/ocaml/$pkgname/releases/download/$pkgver/$pkgname-full-$pkgver.tar.gz"
+builddir="$srcdir"/$pkgname-full-$pkgver
+
+build() {
+ cd "$builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ || return 1
+ make -j1 lib-ext all || return 1
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="7d348c2898795e9f325fb80eaaf5eae8 opam-full-1.2.2.tar.gz"
+sha256sums="15e617179251041f4bf3910257bbb8398db987d863dd3cfc288bdd958de58f00 opam-full-1.2.2.tar.gz"
+sha512sums="f095ef4c02e6a411ee115b508c7dc21cf6480f60ad5d84ed5ce5868afa1f6225ead0eb6703763d803edc22595e83db67cdd1a4ecab50ee2c62c20965b0542436 opam-full-1.2.2.tar.gz"